Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd
Class RuleChain

    java.lang.Object
      net.sourceforge.pmd.RuleChain

    public class RuleChain

extends java.lang.Object

The RuleChain is a means by which Rules can participate in a uniform visitation of the AST, and not need perform their own independent visitation. The RuleChain exists as a means to improve the speed of PMD when there are many Rules.

Constructor Summary
`RuleChain()`

Method Summary
`void` | `add(RuleSet ruleSet)` Add all Rules from the given RuleSet which want to participate in the RuleChain.
`void` | `apply(java.util.List<CompilationUnit> astCompilationUnits, RuleContext ctx, Language language)` Apply the RuleChain to the given ASTCompilationUnits using the given RuleContext, for those rules using the given Language.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleChain

    public RuleChain()

Method Detail

### add

    public void add(RuleSet ruleSet)

  Add all Rules from the given RuleSet which want to participate in the RuleChain.

  Parameters:
    `ruleSet` - The RuleSet to add Rules from.

### apply

    public void apply(java.util.List<CompilationUnit> astCompilationUnits,
                      RuleContext ctx,
                      Language language)

  Apply the RuleChain to the given ASTCompilationUnits using the given RuleContext, for those rules using the given Language.

  Parameters:
    `astCompilationUnits` - The ASTCompilationUnits.
    `ctx` - The RuleContext.
    `language` - The Language.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.